Skip to content

List Briefings

GET
/api/v1/briefings
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/briefings?limit=20' \
--header 'X-API-Key: <X-API-Key>'

List briefing records for the current tenant.

Returns briefings ordered by date DESC with cursor pagination. If cursor is provided, only records before that date are returned.

Args: cursor: Optional date cursor for pagination. limit: Maximum records to return (1-50). user: Authenticated user context. db: Async database session.

Returns: List of BriefingRecordResponse objects.

cursor
Any of:
string format: date

Cursor date for pagination

limit
Limit

Max records to return

integer
default: 20 >= 1 <= 50

Max records to return

Successful Response

Media typeapplication/json
Response List Briefings Api V1 Briefings Get
Array<object>
BriefingRecordResponse

Response model for a single briefing record.

Used by the /api/v1/briefings endpoints and consumed by the frontend briefing archive page.

object
annotation_count
required
Annotation Count
integer
briefing_date
required
Briefing Date
string format: date
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
kpi_snapshot_id
required
Any of:
string format: uuid
status
required
Status
string
summary
required
Any of:
string
tenant_id
required
Tenant Id
string format: uuid
video_url
required
Any of:
string
Examplegenerated
[
{
"annotation_count": 1,
"briefing_date": "2026-04-15",
"created_at": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"kpi_snapshot_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"status": "example",
"summary": "example",
"tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"video_url": "example"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}